Bug 428955 - Review Request: guitone - A frontend for Monotone
Review Request: guitone - A frontend for Monotone
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 08:58 EST by Thomas Moschny
Modified: 2008-02-07 16:03 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.7-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:59:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-01-16 08:58:41 EST
Spec URL: http://thm.1erlei.de/guitone.spec
SRPM URL: http://thm.1erlei.de/guitone-0.7-1.fc8.src.rpm

Description: 
Guitone is a Qt-based, cross-platform graphical user interface for the
distributed version control system monotone. It aims towards a full
implementation of the monotone automation interface and is especially
targeted at beginners.

Functionality provided by guitone:

* Browse a loaded workspace, filter by file states
* Display attributes of selected files
* Open files in the system's default viewer on double-click
* Show file differences for single and multiple files
* List keys from the loaded database and generate new keys
* Checkout, export and commit revisions
* Query recent revisions from a loaded database

and much more.

Note: I am looking for a sponsor.
Comment 1 Jason Tibbitts 2008-01-20 17:09:27 EST
Sponsorship was offered in bug 284961.
Comment 2 Jason Tibbitts 2008-01-21 03:43:08 EST
This is a clean package; the only question I have regards the contents of the
"tests" directory in the tarball.  Is that a test suite that could be run as
part of the rpm build process?  If so, you should add a %check section and call
it.  If not, it would be worth adding a comment to the spec explaining why it's
not called.

* source files match upstream:
   3ab8b0dc78141bc7144e2f8d67254c9bcf89c6ed4a31975dbeefc15701f93c8f  
   guitone-0.7.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   guitone = 0.7-1.fc9
  =
   libQtCore.so.4()(64bit)
   libQtGui.so.4()(64bit)
   libQtNetwork.so.4()(64bit)
   libQtXml.so.4()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(CXXABI_1.3.1)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
   monotone

? %check is not present, but there seems to be some sort of test suite in the 
  tarball.  I did run this, but without ever having used monotone, there's not 
  much I can do with it since it doesn't do anything unless you have an existing 
  checkout or database.

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
 %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
* a GUI app; desktop file is present and is installed properly.
Comment 3 Thomas Moschny 2008-01-22 02:24:53 EST
(In reply to comment #2)
> This is a clean package; the only question I have regards the contents of 
the
> "tests" directory in the tarball.  Is that a test suite that could be run as
> part of the rpm build process?  If so, you should add a %check section and 
call
> it.

The main author of guitone told me that this is work in progress. It could 
even produce wrong findings, and thus should not be called (yet).

> If not, it would be worth adding a comment to the spec explaining why it's
> not called.

Done.

Spec URL: http://thm.1erlei.de/guitone.spec
SRPM URL: http://thm.1erlei.de/guitone-0.7-2.fc8.src.rpm
Comment 4 Jason Tibbitts 2008-01-22 17:44:47 EST
Thanks; looks good.

APPROVED
Comment 5 Thomas Moschny 2008-01-22 18:35:16 EST
Thanks for the review.
Comment 6 Thomas Moschny 2008-01-22 18:36:11 EST
New Package CVS Request
=======================
Package Name: guitone
Short Description: A frontend for Monotone
Owners: thm
Branches: F-7 F-8
InitialCC: none
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-22 18:50:20 EST
cvs done.
Comment 8 Fedora Update System 2008-01-27 02:20:00 EST
guitone-0.7-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guitone'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F8/FEDORA-2008-1070
Comment 9 Fedora Update System 2008-02-07 15:59:10 EST
guitone-0.7-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-02-07 16:03:08 EST
guitone-0.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.